Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QBEInfo

    java.lang.Object
      jet.api.QBEInfo

    public class QBEInfo

extends java.lang.Object

Class QBEInfo defines a QBE(Query By Example) definition of a JReport query.

Constructor Summary
`QBEInfo()` Constructs a QBE(Query By Example) definition of a JReport query.
`QBEInfo(java.lang.String tableName, java.lang.String columnName, java.lang.String expression)` Constructs a QBE(Query By Example) definition of a JReport query.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getColumnName()` Gets the column's name of the QBE condition.
`java.lang.String` | `getExpression()` Gets the expression value of the QBE condition.
`java.lang.String` | `getTableName()` Gets the table name of the QBE condition.
`void` | `setColumnName(java.lang.String columnName)` Sets the column's name of the QBE condition.
`void` | `setExpression(java.lang.String expression)` Sets the expression of the QBE condition.
`void` | `setTableName(java.lang.String tableName)` Sets the table name of the QBE condition.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QBEInfo

    public QBEInfo()

  Constructs a QBE(Query By Example) definition of a JReport query. The QBE(Query By Example)is a filter by which you can define certain criteria for the fields of a query to be retrieved from the database, so that when you build reports on the query, the returned results will be narrowed down. A certain QBE maybe like: table.columnName > XXX.

### QBEInfo

    public QBEInfo(java.lang.String tableName,
                   java.lang.String columnName,
                   java.lang.String expression)

  Constructs a QBE(Query By Example) definition of a JReport query. The QBE(Query By Example)is a filter by which you can define certain criteria for the fields of a query to be retrieved from the database, so that when you build reports on the query, the returned results will be narrowed down. A certain QBE maybe like: table.column > XXX.

  Parameters:
    `tableName` - Specifies the table name of the QBE condition.
    `columnName` - Specifies the column's name of the QBE condition.
    `expression` - Specifies the expression of the QBE condition.

Method Detail

### getTableName

    public java.lang.String getTableName()

  Gets the table name of the QBE condition.

  Returns:
    table name of the QBE condition.

### getColumnName

    public java.lang.String getColumnName()

  Gets the column's name of the QBE condition.

  Returns:
    column's name.

### getExpression

    public java.lang.String getExpression()

  Gets the expression value of the QBE condition.

  Returns:
    expression value.

### setTableName

    public void setTableName(java.lang.String tableName)

  Sets the table name of the QBE condition.

  Parameters:
    `tableName` - Specifies the table name of the QBE condition.

### setColumnName

    public void setColumnName(java.lang.String columnName)

  Sets the column's name of the QBE condition.

  Parameters:
    `columnName` - Specifies the column's name of the QBE condition.

### setExpression

    public void setExpression(java.lang.String expression)

  Sets the expression of the QBE condition.

  Parameters:
    `expression` - Specifies the expression value of the QBE condition.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD